/* 
 * VirtualBox Control Service
 * 
 * Copyright © 2010 vu1tur.eu.org
 * 
 * This file is part of VirtualBox Control Service
 * 
 * VirtualBox Control Service is free software; you can redistribute it 
 * and/or modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * VirtualBox Control Service is distributed in the hope that it will 
 * be useful, but WITHOUT ANY WARRANTY; without even the implied 
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

#ifndef _vboxipc_h
#define _vboxipc_h
 
#include <windows.h>
#include <aclapi.h>

#define VBOX_PIPENAME_BASE "\\\\.\\pipe\\vboxctrl"
#define VBOXTRAY_PIPENAME "\\\\.\\pipe\\vboxctrltray"
#define VBOX_IPC_C_GETVRDPENABLED 0x00000100
#define VBOX_IPC_C_GETVRDPPORT 0x00000101
#define VBOX_IPC_C_GETVRDPRESOLUTION 0x00000102
#define VBOX_IPC_C_GETSTATE 0x00000103
#define VBOX_IPC_C_RELOAD 0x00000200

void VBoxIPCListener(void* args);
void VBoxIPCDispatcher(HANDLE hp);
void VBoxIPCShutdown();
void VBoxIPC_GetVRDPEnabled(HANDLE hp);
void VBoxIPC_GetVRDPPort(HANDLE hp);
void VBoxIPC_GetVRDPResolution(HANDLE hp);
void VBoxIPC_GetState(HANDLE hp);
void VBoxIPCC_Reload();

#endif