/* 
 * VirtualBox Control Service
 * 
 * Copyright © 2010 vu1tur.eu.org
 * 
 * This file is part of VirtualBox Control Service
 * 
 * VirtualBox Control Service is free software; you can redistribute it 
 * and/or modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * VirtualBox Control Service is distributed in the hope that it will 
 * be useful, but WITHOUT ANY WARRANTY; without even the implied 
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
#ifndef _utils_h
#define _utils_h
 
#define WINVER 0x0600
#define _WIN32_WINNT 0x0600

#include <windows.h>
#include <uxtheme.h>
#include <io.h>

#define _Vista_ (LOBYTE(LOWORD(GetVersion()))>=6)

#ifndef BPPF_ERASE
	#define BPPF_ERASE		1
	#define BPPF_NOCLIP		2
	#define BPPF_NONCLIENT	4
#endif

typedef HRESULT (STDAPICALLTYPE *pfnBufferedPaintInit)(void);
typedef HRESULT (STDAPICALLTYPE *pfnBufferedPaintUninit)(void);
typedef HANDLE  (STDAPICALLTYPE *pfnBeginBufferedPaint)(HDC, RECT *, BP_BUFFERFORMAT, BP_PAINTPARAMS *, HDC *);
typedef HRESULT (STDAPICALLTYPE *pfnEndBufferedPaint)(HANDLE, BOOL);
typedef HRESULT (STDAPICALLTYPE *pfnGetBufferedPaintBits)(HPAINTBUFFER, RGBQUAD **, int *);

#ifdef _main
	#define EXTERN
#else
	#define EXTERN extern
#endif
EXTERN pfnBufferedPaintInit bufferedPaintInit;
EXTERN pfnBufferedPaintUninit bufferedPaintUninit;
EXTERN pfnBeginBufferedPaint beginBufferedPaint;
EXTERN pfnEndBufferedPaint endBufferedPaint;
EXTERN pfnGetBufferedPaintBits getBufferedPaintBits;

void strcrpl(char *str, char c, char r);

#endif